Package org.silverpeas.mobile.server.services

## Class AbstractRestWebService

- java.lang.Object
- - org.silverpeas.core.web.rs.RESTWebService
  - - org.silverpeas.mobile.server.services.AbstractRestWebService

- All Implemented Interfaces:
    `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`
  Direct Known Subclasses:
    `ServiceAvatar`, `ServiceBlog`, `ServiceClassifieds`, `ServiceConnection`, `ServiceContact`, `ServiceDocuments`, `ServiceFaq`, `ServiceFormsOnline`, `ServiceHyperLink`, `ServiceMedia`, `ServiceNavigation`, `ServiceNews`, `ServiceNotifications`, `ServiceResourcesManager`, `ServiceRSE`, `ServiceSearch`, `ServiceSurvey`, `ServiceTask`, `ServiceTermsOfService`, `ServiceWorkflow`

      public abstract class AbstractRestWebService
      extends org.silverpeas.core.web.rs.RESTWebService

  Author:
    svu

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

      `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R extends Object>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `MAINSESSIONCONTROLLER_ATTRIBUT_NAME` |

    - ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

      `RESPONSE_HEADER_ARRAYSIZE`

    - ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

      `BASE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractRestWebService()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected StreamingList` | `createStreamingList​(CommandCreateList command, int callNumber, int callSize, String cacheKey)` |
    `protected org.silverpeas.core.web.mvc.controller.MainSessionController` | `getMainSessionController()` |
    `protected static org.silverpeas.kernel.bundle.SettingBundle` | `getSettings()` |
    `protected void` | `initSilverpeasSession​(javax.servlet.http.HttpServletRequest request)` |
    `protected StreamingList<?>` | `makeStreamingList​(int callNumber, String CACHE_NAME, javax.servlet.http.HttpServletRequest request, Populator populator)` |
    `protected void` | `setMainsessioncontroller​(String login, String password, String domainId)` |

    - ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

      `createWebResourceUri, fromPage, getBundle, getBundleLocation, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getOrganisationController, getResourceBasePath, getSilverpeasContext, getUri, getUser, getUserPreferences, getUserRoles, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.ProtectedWebResource

      `validateUserAuthorization`

    - ### Methods inherited from interface org.silverpeas.core.web.SilverpeasWebResource

      `getComponentId`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.WebAuthenticationValidation

      `validateUserAuthentication`

- - ### Field Detail

    - #### MAINSESSIONCONTROLLER_ATTRIBUT_NAME

          public static final String MAINSESSIONCONTROLLER_ATTRIBUT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractRestWebService

          public AbstractRestWebService()

  - ### Method Detail

    - #### getSettings

          protected static org.silverpeas.kernel.bundle.SettingBundle getSettings()

    - #### getMainSessionController

          protected org.silverpeas.core.web.mvc.controller.MainSessionController getMainSessionController()

    - #### setMainsessioncontroller

          protected void setMainsessioncontroller​(String login,
                                                  String password,
                                                  String domainId)
                                           throws org.silverpeas.kernel.SilverpeasException

      Throws:
        `org.silverpeas.kernel.SilverpeasException`

    - #### initSilverpeasSession

          protected void initSilverpeasSession​(javax.servlet.http.HttpServletRequest request)

    - #### createStreamingList

          protected StreamingList createStreamingList​(CommandCreateList command,
                                                      int callNumber,
                                                      int callSize,
                                                      String cacheKey)
                                               throws Exception

      Throws:
        `Exception`

    - #### makeStreamingList

          protected StreamingList<?> makeStreamingList​(int callNumber,
                                                       String CACHE_NAME,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       Populator populator)